#include <SIM800.h>

#define __PWRKEY__ 11
#define __RESET__ 12

SIM800Core  core;
SIM800IPApplication ip;

void setup()
{
    Serial.begin(9600);
    while(!Serial);    
    delay(1000);
    
    core.host.echo(false);
}

void loop()
{
    SIM800IPApplication::BearerParameters params;
    SIM800IPApplication::BearerProfile profile;
    
    params.ConParamTag = "Contype";
    params.ConParamValue = "GPRS";
    
    uint8_t bearerProfile = 1;
    
    //Configuring bearer profile
    Serial.print(F("Configure bearer profile: ")); 
    if(ip.setBearerProfile(bearerProfile, params)){
        Serial.println(F("OK"));
    }else{
        Serial.println(F("Fail"));
    }
    
    //Openong bearer profile
    Serial.print(F("Open profile: "));
    if(ip.openBearerProfile(1)){
        Serial.println(F("OK"));
    }else{
        Serial.println(F("Fail"));
    }
    
    //Getting aquired ip address and status
    Serial.print(F("Query profile: "));
    if(ip.queryBearerProfile(1, &profile)){
        Serial.println(F("OK"));
        
        //Printing profile
        Serial.print(F("CID: "));
        Serial.println(profile.cid);
        
        Serial.print(F("Status: "));
        Serial.println(profile.status);
        
        Serial.print(F("IP: "));
        Serial.println(profile.ip);
    }else{
        Serial.println(F("Fail"));
    }
    
    //Closing profile
    Serial.print(F("Closing profile: "));
    if(ip.closeBearerProfile(1)){
        Serial.print(F("OK"));
    }else{
        Serial.println(F("Fail"));
    }
    
    
    Serial.println(F("Entering while(1) loop"));
    while(1);
}
