#ifndef __SIM800IPApplication
#define __SIM800IPApplication

#include <SIM800HostCommunication.hpp>

class SIM800IPApplication
{
    private:
        SIM800HostCommunication host;
        
        
    public:
        enum BearerStatus{
            CONNECTING,
            CONNECTED,
            CLOSING,
            CLOSED
        };
        
        struct BearerProfile{
            uint8_t cid;
            BearerStatus status;
            String ip;
        };
        
        struct BearerParameters{
            String ConParamTag;
            String ConParamValue;
        };
        
        SIM800IPApplication();
        
        
        bool openBearerProfile(uint8_t cid);
        bool closeBearerProfile(uint8_t cid);
        
        bool queryBearerProfile(uint8_t cid, BearerProfile *profile);
        
        bool setBearerProfile(uint8_t cid, BearerParameters param);
    
};
#endif
