#include <SIM800.h>

#define __PWRKEY__ 11
#define __RESET__ 12

SIM800Core  core;
SIM800Bluetooth bt;

void setup()
{
    Serial.begin(9600);
    while(!Serial);
    
    delay(1000);
    
    if(!core.isAlive()){
        Serial.print(F("Powering the board: "));
        if(core.HWPowerOn()){
            Serial.println(F("OK"));
        }else{
            Serial.println(F("Fail"));
        }
    }
    delay(1000);
}

void loop()
{
    
    //Unpair all devices
    Serial.print("Unpairing all devices: ");
    if(bt.unpair(0))
        Serial.println(F("OK"));
    else
        Serial.println(F("FAIL"));
        
    Serial.print(F("Scanning devices: "));
    if(bt.scanDevices(10))
        Serial.println(F("OK"));
    else
        Serial.println(F("FAIL"));
        
    delay(1000);
    Serial.print(F("Pairing: "));
    for(uint8_t i = 0; i < __MAX_BT_DEVICES__; i++){
        if(bt.btDevices[i].name == "Stefan-M"){
            if(bt.pair(bt.btDevices[i], ""))
                Serial.println(F("OK"));
            else
                Serial.println(F("Fail"));
        }
    }

    delay(2000);
    Serial.println(F("Getting available profiles"));
    bt.getProfile(1);
    
    
    //~ delay(1000);
    //~ Serial.println(F("Getting available profiles"));
    //~ for(int i = 0; i < __MAX_BT_DEVICES__; i++){
        //~ if(bt.btPairedDevices[i].name == "Stefan-M"){
            //~ bt.getProfile(bt.btPairedDevices[i].id);
        //~ }
    //~ }    
    
    while(1);
    
    //~ Serial.print(F("Turn off the board: "));
    //~ if(core.SWPowerOff(false)){
        //~ Serial.println(F("OK"));
    //~ }else{
        //~ Serial.println(F("Fail"));
    //~ }
    //~ 
    //~ Serial.println(F("Entering while(1)"));
    //~ while(1);
    //~ core.HWPowerOn();
    //~ delay(5000);
    //~ core.SWPowerOff();
    //~ bt.scanDevices(100);
    //~ while(1);
    //~ core.SWPowerOff(false);
    //~ delay(2000);
}
